Package org.springframework.security.authorization

# Class AuthorizationDecision

java.lang.Object
org.springframework.security.authorization.AuthorizationDecision

All Implemented Interfaces:
  `Serializable`, `AuthorizationResult`

Direct Known Subclasses:
  `AuthorityAuthorizationDecision`, `ExpressionAttributeAuthorizationDecision`, `ExpressionAuthorizationDecision`

public class AuthorizationDecision extends Object implements AuthorizationResult

Since:
  5.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthorizationDecision(boolean granted)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isGranted()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthorizationDecision

public AuthorizationDecision(boolean granted)

## Method Details

### isGranted

public boolean isGranted()

Specified by:
  `isGranted` in interface `AuthorizationResult`
Returns:
  whether the access has been granted

### toString

public String toString()

Overrides:
  `toString` in class `Object`